﻿using System;

namespace Songhay.Office2010.Word
{
    /// <summary>
    /// Extensions to <see cref="System.Object"/>
    /// for Office applications.
    /// </summary>
    public static partial class ObjectExtensions
    {
        /// <summary>
        /// Returns <see cref="System.Type.Missing"/>
        /// or the non-null instance.
        /// </summary>
        /// <param name="o">The o.</param>
        public static object OrMissing(this object o)
        {
            return o ?? Type.Missing;
        }
    }
}
