﻿using System;

namespace Songhay.Office2010.Word
{
    /// <summary>
    /// Defines selected “special” characters in Office Word.
    /// </summary>
    public static class WordCharacters
    {
        /// <summary>
        /// Word Character
        /// </summary>
        public static readonly char Cr = Convert.ToChar(13);

        /// <summary>
        /// Word Character
        /// </summary>
        public static readonly string CrLf = string.Concat(Convert.ToChar(13), Convert.ToChar(10));

        /// <summary>
        /// Word Character
        /// </summary>
        public static readonly char LineBreak = Convert.ToChar(11);
    }
}
