﻿using System.Drawing;
using System.Xml.Linq;

namespace Songhay.OpenXml.Models
{
    /// <summary>
    /// Defines data used
    /// by <see cref="ProcessImage"/>.
    /// </summary>
    public struct ImageInfo
    {
        /// <summary>
        /// 
        /// </summary>
        public Bitmap Bitmap;

        /// <summary>
        /// 
        /// </summary>
        public XAttribute ImgStyleAttribute;

        /// <summary>
        /// 
        /// </summary>
        public string ContentType;

        /// <summary>
        /// 
        /// </summary>
        public XElement DrawingElement;

        /// <summary>
        /// 
        /// </summary>
        public string AltText;

        /// <summary>
        /// 
        /// </summary>
        public static int EmusPerInch = 914400;

        /// <summary>
        /// 
        /// </summary>
        public static int EmusPerCm = 360000;
    }
}
