﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DocumentFormat.OpenXml.Packaging;

namespace Songhay.OpenXml
{
    /// <summary>
    /// Static members for Open XML.
    /// </summary>
    public static partial class OpenXmlUtility
    {
        /// <summary>
        /// Generates Office 2010 Word Processing Document parts
        /// in the specified package.
        /// </summary>
        /// <param name="package">The package.</param>
        public static void GenerateOfficeDocument(WordprocessingDocument package)
        {
            OpenXmlUtility.GenerateOfficeDocumentRoot(package);
            OpenXmlUtility.GenerateOfficeDocumentSettings(package);
        }
    }
}
