﻿
namespace Songhay.Composition
{
    /// <summary>
    /// Defines the Composition Messaging
    /// for the Composition Host.
    /// </summary>
    public interface ICompositionMessaging
    {
        /// <summary>
        /// Registers the Composition Messaging message receivers.
        /// </summary>
        /// <remarks>
        /// Invoking this member allows a part
        /// of the composition to receive messages from others.
        /// </remarks>
        void RegisterMessageReceivers();
    }
}
