﻿using System;
using System.Windows;

namespace Songhay.Wpf.Mvvm.Views
{
    /// <summary>
    /// Interaction logic for PageView
    /// </summary>
    public partial class PageView : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PageView"/> class.
        /// </summary>
        public PageView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Loads the page.
        /// </summary>
        /// <param name="location">The location.</param>
        public void LoadPage(Uri location)
        {
            this.MainFrame.Source = location;
        }
    }
}
