﻿using System.Xml.Linq;
using System;

namespace Songhay.OpenXml
{
    /// <summary>
    /// Static members for Open XML.
    /// </summary>
    public static partial class OpenXmlUtility
    {
        /// <summary>
        /// Gets or sets the namespace Open XML package relationships.
        /// </summary>
        /// <value>The namespace Open XML package relationships.</value>
        public static readonly XNamespace NamespaceOpenXmlPackageRelationships = "http://schemas.openxmlformats.org/package/2006/relationships";

        /// <summary>
        /// Gets or sets the namespace XML package.
        /// </summary>
        /// <value>The namespace XML package.</value>
        public static readonly XNamespace NamespaceXmlPackage = "http://schemas.microsoft.com/office/2006/xmlPackage";
    }
}
