﻿using System.Collections;
using System.Collections.Generic;
using System.ComponentModel.Composition;

namespace Songhay.OpenXml.Transformations
{
    public class WordProcessingDocumentTransformations :
        IEnumerable<IWordProcessingDocumentTransformation>
    {
        #region IEnumerable<IWordProcessingDocumentTransformation> Members

        public IEnumerator<IWordProcessingDocumentTransformation> GetEnumerator()
        {
            if(this._transformations == null) return null;
            return this._transformations.GetEnumerator();
        }

        #endregion

        #region IEnumerable Members

        IEnumerator IEnumerable.GetEnumerator()
        {
            return this.GetEnumerator();
        }

        #endregion

        [ImportMany(typeof(IWordProcessingDocumentTransformation))]
        IEnumerable<IWordProcessingDocumentTransformation> _transformations;
    }
}
